<div class="all-customers">
  <layout-page-header
    [title]="'CUSTOMERS.CUSTOMERS.TITLE' | translate"
    [description]="'CUSTOMERS.CUSTOMERS.DESCRIPTION' | translate"
    [total]="(customerTable$ | async)?.count "
    [tooltipMessage]="'CUSTOMERS.CUSTOMERS.TOTAL_TOOLTIP' | translate"
  ></layout-page-header>
  <layout-card-container>
    <customers-filters></customers-filters>
    <div class="all-customers__table">
      <mo-table-with-controls
        [headers]="headers"
        [firstColumnFixed]="true"
        [response]="customerTable$ | async"
        [containerSize]="containerSize"
        [urlRow]="customerProfileUrl"
        [isLoading]="isLoadingCustomers$ | async"
        (changeTableFilters)="onChangePageFilter($event)"
        (download)="onDownload()"
      ></mo-table-with-controls>
    </div>
  </layout-card-container>
</div>

<ng-template #statusTemplate let-row="row" let-header="header">
  <ng-container *ngIf="row[header?.dataKey] as status">
    <layout-status [status]="status"></layout-status>
  </ng-container>
</ng-template>
